<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fo="http://www.w3.org/1999/XSL/Format"
    xmlns:xi="http://www.w3.org/2001/XInclude" xmlns:tei="http://www.tei-c.org/ns/1.0"
    exclude-result-prefixes="xs xi fo hiko tei" version="2.0"
    xmlns:hiko="http://www.historischekommission-muenchen.de" xmlns="http://www.tei-c.org/ns/1.0">
    
   
    
    <!-- - - - - - - - - - -    PARAMETER   - - - - - - - - - - -->
    <xsl:param name="PER" select="''"/>
    <xsl:variable name="per" select="document($PER)"/>
    
    
    <xsl:template name="init_integration">
        <xsl:apply-templates select="//tei:TEI" mode="integration"/>
    </xsl:template>
    
    <xsl:template match="processing-instruction('seite_umbrechen')" mode="integration">
        <xsl:processing-instruction name="seite_umbrechen"/>
    </xsl:template>
    
    <xsl:template match="processing-instruction('spalte_umbrechen')" mode="integration">
        <xsl:processing-instruction name="spalte_umbrechen"/>
    </xsl:template>
    
    <xsl:template match="tei:ref[@type='Biogramm_Platzhalter']" mode="integration">
        
        <xsl:variable name="placeholderID">
            <xsl:value-of select="./@target"/>
        </xsl:variable>

        <xsl:choose><xsl:when test="$per//tei:person[@xml:id = $placeholderID]">
        
        <xsl:apply-templates
            select="$per//tei:person[@xml:id = $placeholderID]/tei:note[@type = 'Biogramm']" mode="platzhalter">
            <xsl:with-param name="persID">
                <xsl:value-of select="$placeholderID"/>
            </xsl:with-param>
        </xsl:apply-templates>
   </xsl:when>
        <xsl:otherwise>
            <note type='Biogramm' xmlns="http://www.tei-c.org/ns/1.0" target='XXX'>FEHLER</note>
        </xsl:otherwise>
        </xsl:choose> </xsl:template>
    
    <xsl:template match="tei:note[@type='Biogramm']" mode="platzhalter">
        <xsl:param name="persID"/>
        <note type='Biogramm' xmlns="http://www.tei-c.org/ns/1.0" target='{$persID}'>
            <xsl:apply-templates mode="integration"/>
        </note>                      
    </xsl:template>
      
    <xsl:template match="*" mode="integration">
        <xsl:element name="{name()}" namespace="http://www.tei-c.org/ns/1.0">
            <xsl:copy-of select="@*"></xsl:copy-of>
            <xsl:apply-templates mode="integration"></xsl:apply-templates>
        </xsl:element>
    </xsl:template>
    
    <xsl:template match="text()" mode="integration">
        <xsl:value-of select="."/>
    </xsl:template>
    
    

    
    <!-- Nicht erwünschte versteckte Attribute nicht mitkopieren-->
    <xsl:template match="@org"/>
    <xsl:template match="@default"/>
    <xsl:template match="@part"/>
    <xsl:template match="@sample"/>
    <xsl:template match="@instant"/>
    <xsl:template match="@anchored"/>
    <xsl:template match="@status"/>
    
</xsl:stylesheet>